import React from 'react';
import { FieldProps } from '@/fields/base-component/types';
import { User as UserProps } from '@/lib/types/models';
import './index.less';
export declare type UserType = {
    username: string;
    label: string;
    value: string;
};
export declare type BaseUserProps = FieldProps & {
    workspaceId?: string;
    fieldTypeKey?: string;
    emptyChild?: React.ReactElement;
    displayDeletedUser?: boolean;
    userData?: any;
    placeholder?: string;
    value?: Array<any>;
    onChange?: (val: any, type?: string) => void;
    mode?: any;
    hasCurrentUser?: boolean;
    extraOptions?: UserType[];
    showUserAvatar?: React.ReactElement;
    getPopupContainer?: (node?: HTMLElement) => HTMLElement;
};
export declare const useUserSelect: (userRoles: string[], values?: string[], shouldFetch?: boolean, currentUser?: UserProps, hasCurrentUser?: boolean, extraOptions?: UserType[], fieldTypeKey?: string, workspaceId?: string) => any;
declare const User: React.FC<BaseUserProps>;
export default User;
