import { selectValue } from '@/cells/dropdown/BaseField';
import Parse from '@/lib/parse';
export declare const defaultFilterOptions: (inputValue: string, option: any) => boolean;
export declare const dateFormat: (time: string, type?: string) => string;
export declare const getNameBadge: (name: string) => string | null;
export declare const isChinese: (text: string) => boolean;
export declare const getBackgroundColor: (s?: string) => {
    background: string;
};
export declare const displayFormValidateMessage: (error: Error) => void;
export declare const defaultPopupContainer: (triggerNode: HTMLElement) => HTMLElement;
export declare const getFitlerOption: (inputValue: string, option: Record<string, any>) => boolean;
export declare const copyText: (text: string) => void;
export declare function asString(query: string | string[]): string;
export declare const getPopupContainerFun: (getPopupContainer: (node?: HTMLElement) => HTMLElement, apply: string, page?: string) => HTMLElement;
export declare const getOptionsByName: (name: string | RegExp, query: Parse.Query) => Promise<Record<'label' | 'value', string>[]>;
export declare const getOptionsByValues: (values: string[], query?: Parse.Query) => Promise<Record<'label' | 'value', string>[]>;
declare type optionsInitProps = {
    name?: string;
    objectId?: string;
    label?: string;
    value?: string;
};
export declare const optionsInit: <T extends optionsInitProps>(data?: T[]) => selectValue[];
export declare const fetchOptions: <T extends optionsInitProps>(keyword: string | RegExp, query: Parse.Query) => Promise<selectValue[]>;
export declare const treeSelectFilter: (value: string, option: {
    props: {
        title?: string;
    };
}) => boolean;
export declare const limitFileNameLength: (name?: string) => boolean;
export declare const downLoadFile: (data: string, tempName: string) => void;
export declare const updateItemDetail: ({ values, touched, mode, itemId, success, fail, }: {
    values: any;
    touched: any;
    mode: string;
    itemId: string;
    success: () => void;
    fail: (error: any) => void;
}) => Promise<void>;
export {};
