import Parse from 'parse';
import { CustomField as CustomFieldType } from '@/lib/types/models';
declare type UseUsedScreenFields = (params: {
    /** 工作空间 ID */
    workspaceId?: string;
    /** 工作空间配置方案 ID */
    workspaceSchemeId?: string;
    /** 是否排除系统字段 */
    excludeSystemFieldKey?: boolean;
    /** 额外需要获取的字段 */
    extraFieldKeys?: string[];
}) => {
    fields: CustomFieldType[];
    fieldsResult: Parse.Object<CustomFieldType>[];
    loading: boolean;
};
/**
 * 获取当前空间下所有的界面方案(默认/查看/创建/编辑)绑定的表单字段
 */
export declare const useUsedScreenFields: UseUsedScreenFields;
export {};
