export declare const itemTypesLocaleValues: {
    moduleName: string;
    description: string;
    tableColumns: {
        name: string;
        description: string;
        operation: {
            title: string;
            edit: string;
            delete: string;
        };
    };
    createBtnText: string;
    formFields: {
        name: string;
        key: string;
        description: string;
        icon: string;
        uploadIcon: string;
    };
    default: {
        itemType: string;
        itemTypeDescription: string;
        iconOrName: string;
        placeholder: string;
        message: string[];
        content: string[];
        uploadTip: string;
        name: string[];
        itemTypeTip: string;
        remove: string;
        deleteTip: string;
    };
    columns: {
        defaultType: string;
        itemType: string;
        createScreen: string;
        editScreen: string;
        viewScreen: string;
    };
    modal: {
        delete: {
            title: string;
            message: {
                confirm: string;
                error: string;
                success: string;
                tips: string;
                typeConfirm: (type: any) => string;
            };
            text: string[];
            reset: string;
        };
        create: {
            title: string;
        };
        edit: {
            title: string;
        };
        link: {
            title: string;
            itemType: string;
            screenScheme: string;
        };
    };
    scheme: {
        default: {
            title: string;
            description: string;
            errorMsg: string;
        };
        modal: {
            editTitle: string;
            deleteTitle: string;
            createTitle: string;
            content: {
                areYouSure: string;
                deleteTip: string;
            };
        };
        columns: {
            name: string;
        };
    };
    linkTypes: {
        default: {
            title: string;
            description: string;
        };
        modal: {
            editTitle: string;
            createTitle: string;
        };
        columns: {
            name: string;
            type: string;
            inward: string;
            outward: string;
        };
    };
    hierarchy: {
        default: {
            title: string;
            description: string;
            detailTitle: string;
        };
        modal: {
            deleteTitle: string;
            createTitle: string;
            editTitle: string;
            content: {
                areYouSure: string;
            };
        };
    };
    icon: {
        moduleName: string;
        upload: {
            text: string;
            tips: {
                fileType: string;
                size: string;
            };
            success: string;
        };
        delete: {
            success: string;
        };
        validate: {
            typeError: string;
        };
    };
    validate: {
        name: {
            required: string;
            exists: string;
            max: string;
            min: string;
            starts: string;
        };
        key: {
            required: string;
            error: string;
        };
        itemType: string;
        screenScheme: string;
    };
    view: {
        pageHeader: {
            btn: string;
        };
    };
};
export default itemTypesLocaleValues;
